
From: Peter Osterlund <petero2@telia.com>

The problem is that the add-struct-request-end_io-callback patch forgot to
update pktcdvd.c.  This patch fixes it.

Signed-off-by: Peter Osterlund <petero2@telia.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/pktcdvd.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/block/pktcdvd.c~add-struct-request-end_io-callback-fix drivers/block/pktcdvd.c
--- 25/drivers/block/pktcdvd.c~add-struct-request-end_io-callback-fix	2005-02-06 00:27:19.000000000 -0800
+++ 25-akpm/drivers/block/pktcdvd.c	2005-02-06 00:27:19.000000000 -0800
@@ -375,6 +375,7 @@ static int pkt_generic_packet(struct pkt
 	rq->ref_count++;
 	rq->flags |= REQ_NOMERGE;
 	rq->waiting = &wait;
+	rq->end_io = blk_end_sync_rq;
 	elv_add_request(q, rq, ELEVATOR_INSERT_BACK, 1);
 	generic_unplug_device(q);
 	wait_for_completion(&wait);
_
